// baseDlg.h : header file
//

#if !defined(AFX_baseDLG_H__7B80B358_2E34_4437_87F0_CC92B21890AB__INCLUDED_)
#define AFX_baseDLG_H__7B80B358_2E34_4437_87F0_CC92B21890AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OptionTheme.h"
#include "OptionHotkeys.h"
#include "OptionEvars.h"
#include "OptionModules.h"
#include "OptionRevID.h"
#include "OptionBangs.h"
#include "OptionLog.h"
#include "OptionDetails.h"
#include "OptionChanges.h"
#include "OptionHelp.h"
#include "OptionShell.h"
#include "OptionEvarConfig.h"
#include "OptionInstaller.h"
#include "OptionProject.h"

//less

#include "Utils.h"
#include "CoolBtn.h"
#include "HistoryCombo.h"

#define BASE_PAGES_NUM	14

/////////////////////////////////////////////////////////////////////////////
// CbaseDlg dialog

class CbaseDlg : public CDialog
{
// Construction
public:
	bool m_bCmdFocus;
	void OnOK();
	void InitPages();
	CCoolBtn  m_btn;

	CString page_name[BASE_PAGES_NUM];

	int m_iActiveOption;

	CDialog *m_pDialogs[BASE_PAGES_NUM];
	CbaseDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CbaseDlg)
	enum { IDD = IDD_base_DIALOG };
	CHistoryCombo 	m_wndCmdline;
	CStatic	m_wndLSver;
	CStatic	m_wndTitledlg;
	CTreeCtrl	m_tMyTree;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CbaseDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CBrush m_bWhite;
	CFont m_font0;
	HICON m_hIcon;
	//CFileVersionInfo m_info;

	// Generated message map functions
	//{{AFX_MSG(CbaseDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangedMytree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnBtnclose();
	afx_msg void OnSetfocusCmdline();
	afx_msg void OnKillfocusCmdline();
	afx_msg void OnRecycleLS();
	afx_msg void OnQuitLS();
	afx_msg void OnRestartLS();
	afx_msg void OnReloadLS();
	afx_msg void OnRefreshLS();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_baseDLG_H__7B80B358_2E34_4437_87F0_CC92B21890AB__INCLUDED_)
